#include <iostream>
#include <cstdio>
using namespace std;

int main() {
	int n, k;
	cin >> n >> k;
	if (n < 3*k)
		cout << "-1";
	else if (n < 4*k-1)
		printf("%i 0\n%i 0\n%i %i", k, k, k, n-3*k);
	else
		printf("%i %i\n%i 0\n%i %i", k, n%2, k, (n-2*k)/2+1, (n-2*k)/2-1);
	return 0;
}